Не могу поднять apache2 на nw5sbs. ХелпЪ!

Обсуждение технических вопросов по продуктам Novell

Не могу поднять apache2 на nw5sbs. ХелпЪ!

Сообщение SlyFox » 09 фев 2004, 07:14

Надо поднять на nw5sbs web-сервер: apache2+php+mysql. До этого опыта установки на нетварь не было, не могу догнать, что не так делаю.
Ставлю апач, пишу что надо в httpd.conf, загоняю в search add этот самый апач. Пишу load apache2.nlm и nw выдает:

Loading module APACHE2.NLM
Apache Web Server 2.0.48
Version 2.00Р October 24, 2003
Copyright (c) 2000-2003 The Apache Software Foundation. All rights reserved.
Auto-loading module APRLIB.NLM
Apache Portability Runtime Library 0.9.5
Version 0.09e October 24, 2003
Copyright (c) 2000-2003 The Apache Software Foundation. All rights reserved.
Module APRLIB.NLM cannot be loaded until LIBC is loaded
Module APACHE2.NLM cannot be loaded until APRLIB is loaded
Module APACHE2.NLM cannot be loaded until LIBC is loaded

То же и при load address space = apache2 apache2. Все время ругается на LIBC :( Пишу unload libc, отвечает libc not loaded... Ну чего ему еще надо? :nixweiss:
Аватара пользователя
SlyFox
 
Сообщения: 170
Зарегистрирован: 22 сен 2003, 05:06
Откуда: Russia, Yakutia

Prerequisites

Сообщение Андрей Фисенко » 09 фев 2004, 07:57

NetWare AMP requires a NetWare 6 server with SP2 or greater and no other services installed (such as GroupWise, iFolder, or iPrint). This NetWare server should be a development and testing server and should not be a production server.

http://developer.novell.com/ndk/whitepapers/namp.htm
Андрей Фисенко, Представитель Novell по Сибири и Дальнему Востоку
Изображение
Андрей Фисенко
 
Сообщения: 1308
Зарегистрирован: 05 июн 2002, 08:13
Откуда: Красноярск

Re: Не могу поднять apache2 на nw5sbs. ХелпЪ!

Сообщение Михаил Григорьев » 09 фев 2004, 10:29

SlyFox писал(а):Надо поднять на nw5sbs web-сервер: apache2+php+mysql


Уж не знаю удастся ли Apache 2 поднять на NW5, я бы начал хотябы с чтения документации, и с установки Apache 1.3.29 а уж потом на 2-й замахиваться.

SlyFox писал(а):То же и при load address space = apache2 apache2. Все время ругается на LIBC :( Пишу unload libc, отвечает libc not loaded... Ну чего ему еще надо? :nixweiss:


Вот пара полезных ссылок:

Дистрибутивы самого Apache for NW
или еще здесь можно глянуть

Собственно самая последняя версия LibC она и нужна для корректной работы Apache
Прямая ссылка для скачивания LibC
Так же нужна последняя версия CLdap

Ну и вообще лучше бы установить самые последние версии
NWScript
NWUcs
Perl 5.8

Еще на досуге можно почитать вот этот документик
Аватара пользователя
Михаил Григорьев
 
Сообщения: 1461
Зарегистрирован: 04 июн 2002, 12:22
Откуда: Челябинск

Сообщение SlyFox » 09 фев 2004, 11:03

Да я уж тоже думаю, что зря я со 2-го апача начал. Пытаюсь ставить 1.3.29... но снова ему что-то не нравится:
--------------
Loading module APACHE.NLM
Apache for NetWare
Version 1.03 October 24, 2003

Auto-loading module APACHEC.NLM
Apache Core Shared Library
Version 1.03 October 24, 2003

SERVER-5.00-918: Loader cannot find public symbol: <b>UnAugmentAsterisk</b> for module
APACHEC.NLM
Module APACHE.NLM cannot be loaded until APACHEC is loaded
--------------
Как с этим бороться не подскажите? Что такое UnAugmentAsterisk и где его искать? ... На LibC не жалуется теперь...
Аватара пользователя
SlyFox
 
Сообщения: 170
Зарегистрирован: 22 сен 2003, 05:06
Откуда: Russia, Yakutia

Сообщение Михаил Григорьев » 09 фев 2004, 11:21

LibC и CLdap поставили новые?

NWScript, NWUcs, Perl 5.8 обновили?
Аватара пользователя
Михаил Григорьев
 
Сообщения: 1461
Зарегистрирован: 04 июн 2002, 12:22
Откуда: Челябинск

Сообщение Андрей Троценко » 09 фев 2004, 13:07

Apache2 прекрасно ставится на NW5.1 (sp5). NW5 - врядли. Нужен LibC - свежак на developer.novell.com.
Аватара пользователя
Андрей Троценко
 
Сообщения: 529
Зарегистрирован: 31 июл 2002, 13:54
Откуда: Киев, Украина

Похоже, что он умер...

Сообщение SlyFox » 10 фев 2004, 06:52

Видимо, последний LibC и NW5 - несовместимы по определению. Вывод такой сделал только по одной причине - после обновления LibC нетварь померла :roll: Не воспринимает она этот LibC, ругается... Тяперь у меня ничерта не запускается. Ни copy ни иксы... вообще ни чего, только консоль, но с консоли тоже ничего не пускается!!! Советуйте теперь, пожалуйста, как мне до SYS добраться... У меня ж там GroupWise еще (!!!) ААААААА, неужели все пропало и меня уволят? :) Спасайте, господа!

PS. Устойчивость работы сервера, однако, пропорциональна кривизне рук и мозгов 8)
Аватара пользователя
SlyFox
 
Сообщения: 170
Зарегистрирован: 22 сен 2003, 05:06
Откуда: Russia, Yakutia

Восстановитесь

Сообщение Андрей Троценко » 10 фев 2004, 12:13

Ну дык верните взад старые модули, замененные комплектом LIBC. Взять их можно в последнем SP, который Вы накатывали на сервер.
Аватара пользователя
Андрей Троценко
 
Сообщения: 529
Зарегистрирован: 31 июл 2002, 13:54
Откуда: Киев, Украина

Сообщение SlyFox » 10 фев 2004, 15:25

Ну дык я бы с превиликим удовольствием заменил! Как мне попасть в sys:\system ? Есть какие-нибудь шеллы для нетвари, которые без libc работают? Диски у меня монтируются, но сервера не существует и nds не работает... Ваще вилы! Пришлось срочно поднимать GW на другом серваке... А сейчас как минимум надо попасть в страрый GW чтобы посохранять все в архивах или при удачном стечении обстоятельств перенести базы на новый сервак...

[offtop]
... сегодня вообще какой-то день падения почтовых серверов... Вот у провайдера моего тоже рухнул :)
... и на Яндехе по хттп тоже не работает :lol:
:drinking:
[/offtop]
Аватара пользователя
SlyFox
 
Сообщения: 170
Зарегистрирован: 22 сен 2003, 05:06
Откуда: Russia, Yakutia

Сообщение Владимир Горяев » 10 фев 2004, 15:41

Насколько я поиню и в ридми написано, libc заменяется в c:\nwserver и предлагается старые сохранить как *.old.
SlyFox писал(а): Есть какие-нибудь шеллы для нетвари, которые без libc работают?
Вряд ли.
Бардак автоматизировать невозможно!!!
_________________
Аватара пользователя
Владимир Горяев
 
Сообщения: 3473
Зарегистрирован: 05 июн 2002, 13:37
Откуда: Смоленск

Сообщение Андрей Троценко » 10 фев 2004, 15:43

В ДОС-разделе создаете директорию временную (можно использовать имеющийся C:\TEMP), в него скопируйте файлы, замененные в SYS:SYSTEM установкой LIBC (т.е. те, с которыми все работает), далее:

1. загрузитесь без STARTUP.NCF (SERVER -NS)
2. STARTUP
3. loadstage 2 (на этом этапе, должен смонтироваться SYS)
4. search add 1 C:\TEMP (ДиректорияКудаВыСкопировальФайлы)
5. loadstage 4
6. sys:\system\AUTOEXEC
7. loadstage all

Должны получить работающий сервер. Скопируйте файлы из TEMP на нужное место. Вообще, проблем быть не должно. Их не должно было и быть - каламбур :D
Аватара пользователя
Андрей Троценко
 
Сообщения: 529
Зарегистрирован: 31 июл 2002, 13:54
Откуда: Киев, Украина

A propos !

Сообщение Андрей Троценко » 10 фев 2004, 15:46

:!: Владимир совершенно прав - LIBC ставится только в каталог, в котором расположен SERVER.EXE, а не в SYS:SYSTEM...

Прошлая рекомендация анулируется.
Аватара пользователя
Андрей Троценко
 
Сообщения: 529
Зарегистрирован: 31 июл 2002, 13:54
Откуда: Киев, Украина

Сообщение SlyFox » 11 фев 2004, 08:46

Да, вы правы, но у меня они изначально были и там и там почему-то... уничтожение LibС в SYSTEM и восстановление в NWSERVER проблему не решает. Вобщем, чудеса случаются - сегодня удалось запустить GUI и все восстановить... Всем спасибо. ... Только вот apache ставить на netware у меня больше нет никакого жалания...

С уважением,
SlyFox
Аватара пользователя
SlyFox
 
Сообщения: 170
Зарегистрирован: 22 сен 2003, 05:06
Откуда: Russia, Yakutia

nw 4.11

Сообщение Орлов Алексей » 23 фев 2004, 14:14

У меня похожая проблема, только при запуске апача выдается сообщение, что модуль w2_32 не запущен и без него дальнейшая работа апача не возможна. В чём дело????
Даёшь полный контроль над Юзверем!!!
-------------------------------------------------------
Я еще из тех, кто учился азбуке по букварю, а не по клавиатуре....

Иногда пишу в своем блоге на тему ms Lync, directaccess.
Аватара пользователя
Орлов Алексей
 
Сообщения: 953
Зарегистрирован: 04 июн 2003, 12:43
Откуда: Нижний Новгород


Вернуться в Novell

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 3